import { Quaternion, Vector3, Vector4 } from "three";
export interface Particle {
    startSpeed: number;
    startColor: Vector4;
    startSize: number;
    position: Vector3;
    velocity: Vector3;
    age: number;
    life: number;
    size: number;
    uvTile: number;
    color: Vector4;
}
export declare class SpriteParticle implements Particle {
    startSpeed: number;
    startColor: Vector4;
    startSize: number;
    position: Vector3;
    velocity: Vector3;
    age: number;
    life: number;
    size: number;
    angularVelocity?: number;
    rotation: number;
    rotationQuat?: Quaternion;
    color: Vector4;
    uvTile: number;
}
export declare class RecordState {
    position: Vector3;
    size: number;
    color: Vector4;
    constructor(position: Vector3, size: number, color: Vector4);
}
export declare class TrailParticle implements Particle {
    startSpeed: number;
    startColor: Vector4;
    startSize: number;
    position: Vector3;
    localPosition?: Vector3;
    velocity: Vector3;
    age: number;
    life: number;
    size: number;
    length: number;
    color: Vector4;
    previous: Array<RecordState>;
    uvTile: number;
    recordCurrentState(): void;
    reset(): void;
}
