import { Particle } from "../Particle";
import { Constructable } from "../TypeUtil";
export interface Behavior {
    type: string;
    initialize(particle: Particle): void;
    update(particle: Particle, delta: number): void;
    toJSON(): any;
    clone(): Behavior;
}
export declare const BehaviorTypes: {
    [key: string]: {
        constructor: Constructable<Behavior>;
        params: string[][];
    };
};
export declare function BehaviorFromJSON(json: any): Behavior;
